complexType "ReturnLegValuation"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 6 elements
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | initialPrice?, notionalReset?, valuationPriceInterim?, valuationPriceFinal?, paymentDates?, exchangeTradedContractNearest?
</...>

Content Model Elements (6):

  exchangeTradedContractNearest (in rateOfReturn), initialPrice, notionalReset, | paymentDates (in rateOfReturn), valuationPriceFinal, valuationPriceInterim

All Direct / Indirect Based Elements (1):

  rateOfReturn

Known Usage Locations

- As direct type of elements (1):
  rateOfReturn

Annotation
A type describing the initial and final valuation of the underlyer.
XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="ReturnLegValuation"> <xsd:sequence> <xsd:element minOccurs="0" name="initialPrice" type="ReturnLegValuationPrice"/> <xsd:element minOccurs="0" name="notionalReset" type="xsd:boolean"/> <xsd:element minOccurs="0" name="valuationPriceInterim" type="ReturnLegValuationPrice"/> <xsd:element minOccurs="0" name="valuationPriceFinal" type="ReturnLegValuationPrice"/> <xsd:element minOccurs="0" name="paymentDates" type="ReturnSwapPaymentDates"/> <xsd:element minOccurs="0" name="exchangeTradedContractNearest" type="ExchangeTradedContract"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/6)
exchangeTradedContractNearest

  Type: | ExchangeTradedContract, complex content

  References a Contract on the Exchange.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="exchangeTradedContractNearest" type="ExchangeTradedContract"/>

initialPrice

  Type: | ReturnLegValuationPrice, complex content

  Specifies the initial reference price of the underlyer. This price can be expressed either as an actual amount/currency, as a determination method, or by reference to another value specified in the swap document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="initialPrice" type="ReturnLegValuationPrice"/>

notionalReset

  Type: | xsd:boolean, predefined, simple content

  For return swaps, this element is equivalent to the term "Equity Notional Reset" as defined in the ISDA 2002 Equity Derivatives Definitions. The reference to the ISDA definition is either "Applicable" or 'Inapplicable".
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notionalReset" type="xsd:boolean"/>

paymentDates

  Type: | ReturnSwapPaymentDates, complex content

  Specifies the payment dates of the swap.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentDates" type="ReturnSwapPaymentDates"/>

valuationPriceFinal

  Type: | ReturnLegValuationPrice, complex content

  Specifies the final valuation price of the underlyer. This price can be expressed either as an actual amount/currency, as a determination method, or by reference to another value specified in the swap document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="valuationPriceFinal" type="ReturnLegValuationPrice"/>

valuationPriceInterim

  Type: | ReturnLegValuationPrice, complex content

  Specifies the final valuation price of the underlyer. This price can be expressed either as an actual amount/currency, as a determination method, or by reference to another value specified in the swap document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="valuationPriceInterim" type="ReturnLegValuationPrice"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.